WinShopAPI docs
ReferenceProduct

List a product's barcodes

Returns every barcode registered for the product. Requires `Permissions.Product.View`.

GET
/api/products/{productId}/barcodes

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

productId*integer
Formatint32

Response Body

application/json
  1. response
[index: integer]?

A barcode identifying a product, optionally down to one variant.

curl -X GET 'https://<your-instance>/api/products/0/barcodes' \  -H 'Authorization: Bearer <access-token>'
[  {    "allowedWarehouseId": 0,    "barcode": "string",    "batchId": 0,    "colorId": 0,    "createdAt": "2019-08-24T14:15:22Z",    "dimensionId": 0,    "discountBillCustomerId": 0,    "discountBillLimit": 0,    "discountBillPercentage": 0,    "ean128": true,    "ean13": true,    "ean39": true,    "expirationDate": "2019-08-24T14:15:22Z",    "financialPromotionId": 0,    "forSaleOnlyInStock": true,    "guid": "string",    "id": 0,    "isInvalid": true,    "isMain": true,    "isNotPrintable": true,    "isWeight": true,    "lastModify": "2019-08-24T14:15:22Z",    "lengthId": 0,    "originalQuantity": 0,    "personalization": 0,    "price": 0,    "priceCoefficient": 0,    "productId": 0,    "quantity": 0,    "quantityCoefficient": 0,    "sizeId": 0,    "unitId": 0,    "usedAt": 0,    "usedWarehouseId": 0,    "userId": 0,    "validFrom": "2019-08-24T14:15:22Z",    "validTo": "2019-08-24T14:15:22Z",    "variantId": 0  }]